"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _Home = _interopRequireDefault(require("@material-ui/icons/Home"));

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _withStyles = _interopRequireDefault(require("@material-ui/core/styles/withStyles"));

var _addonKnobs = require("@storybook/addon-knobs");

var _react2 = require("@storybook/react");

var _reactRouter = require("react-router");

var _reactRouterDom = require("react-router-dom");

var _DelayedProgress = _interopRequireDefault(require("../components/DelayedProgress"));

var _DrawerItem = _interopRequireDefault(require("../components/DrawerItem"));

var _FontWeight = _interopRequireDefault(require("../components/FontWeight"));

var _HeroButton = _interopRequireDefault(require("../components/HeroButton"));

var _Page = _interopRequireDefault(require("../components/Page"));

var _ProgressButton = _interopRequireDefault(require("../components/ProgressButton"));

var _RefreshButton = require("../components/RefreshButton");

var _StoryHost = _interopRequireDefault(require("../components/StoryHost"));

var _A = _interopRequireDefault(require("../components/A"));

var _B = _interopRequireDefault(require("../components/B"));

var _Div = _interopRequireDefault(require("../components/Div"));

var _El = _interopRequireDefault(require("../components/El"));

var _H = _interopRequireDefault(require("../components/H1"));

var _H2 = _interopRequireDefault(require("../components/H2"));

var _H3 = _interopRequireDefault(require("../components/H3"));

var _H4 = _interopRequireDefault(require("../components/H4"));

var _H5 = _interopRequireDefault(require("../components/H5"));

var _H6 = _interopRequireDefault(require("../components/H6"));

var _I = _interopRequireDefault(require("../components/I"));

var _Li = _interopRequireDefault(require("../components/Li"));

var _P = _interopRequireDefault(require("../components/P"));

var _Span = _interopRequireDefault(require("../components/Span"));

var _Ul = _interopRequireDefault(require("../components/Ul"));

var _util = require("../css/util");

var _withFields = _interopRequireDefault(require("../hocs/withFields"));

var _withFilePickers = _interopRequireDefault(require("../hocs/withFilePickers"));

var _hideOnScrollView = _interopRequireDefault(require("./hideOnScrollView"));

var _notificationsView = _interopRequireDefault(require("./notifications-view"));

var _propTypes = _interopRequireDefault(require("prop-types"));

/* eslint-disable import/no-extraneous-dependencies, no-console, no-alert */
(0, _react2.storiesOf)('Components', module).addDecorator(_addonKnobs.withKnobs).addParameters({
  backgrounds: [{
    name: 'White',
    value: '#fff',
    "default": true
  }, {
    name: 'Gray',
    value: '#f2f2f2'
  }]
}).add('HeroButton/Hard Link', function () {
  return _react["default"].createElement(_HeroButton["default"], {
    label: "Google",
    icon: _Home["default"],
    dest: "http://google.com",
    hardLink: true
  });
}).add('HeroButton/Custom style', function () {
  return _react["default"].createElement(_HeroButton["default"], {
    style: {
      color: '#faa'
    },
    label: "Style",
    icon: _Home["default"],
    dest: "#",
    hardLink: true
  });
}).add('HeroButton/New Tab', function () {
  return _react["default"].createElement(_HeroButton["default"], {
    label: "Google New Tab",
    icon: _Home["default"],
    dest: "http://google.com",
    newTab: true
  });
}).add('HeroButton/Route', function () {
  return _react["default"].createElement(_reactRouterDom.BrowserRouter, null, _react["default"].createElement("div", null, _react["default"].createElement(_reactRouter.Route, {
    exact: true,
    path: "/test",
    component: function component() {
      return 'OK';
    }
  }), _react["default"].createElement(_HeroButton["default"], {
    label: "React Router Link with route as dest",
    icon: _Home["default"],
    dest: "/test"
  })));
}).add('ProgressButton/Normal', function () {
  return _react["default"].createElement(_ProgressButton["default"], null, "Progress Button");
}).add('ProgressButton/Style', function () {
  return _react["default"].createElement(_ProgressButton["default"], {
    style: {
      color: 'red'
    },
    "data-test": "test"
  }, "Progress Button");
}).add('ProgressButton/Loading', function () {
  return _react["default"].createElement(_ProgressButton["default"], {
    isLoading: true
  }, "Progress Button");
}).add('ProgressButton/Offline', function () {
  return _react["default"].createElement(_ProgressButton["default"], {
    isOnline: false
  }, "Progress Button");
}).add('DrawerItem', function () {
  return _react["default"].createElement("div", {
    style: {
      width: 400
    }
  }, _react["default"].createElement(_DrawerItem["default"], {
    label: "Hello",
    icon: _Home["default"]
  }), _react["default"].createElement(_DrawerItem["default"], {
    label: "Hello without icon"
  }));
}).add('FontWeight', function () {
  return _react["default"].createElement("div", null, _react["default"].createElement(_FontWeight["default"], null, "Semi bold (default)"), _react["default"].createElement("br", null), _react["default"].createElement(_FontWeight["default"], {
    bolder: true
  }, "Bolder"), _react["default"].createElement("br", null), _react["default"].createElement(_FontWeight["default"], {
    light: true
  }, "Light"), _react["default"].createElement("br", null), _react["default"].createElement(_FontWeight["default"], {
    style: {
      color: 'blue'
    },
    onClick: function onClick() {
      return alert('hi');
    }
  }, "Props"));
}).add('DelayedProgress', function () {
  return _react["default"].createElement(_DelayedProgress["default"], null);
}).add('RefreshButtonCmp', function () {
  return _react["default"].createElement(_RefreshButton.RefreshButtonCmp, {
    alwaysShow: true,
    isRefreshing: (0, _addonKnobs["boolean"])('isRefreshing', false)
  });
}).add('HOC/withFields', function () {
  var Input = function Input(_ref) {
    var field = _ref.field,
        fields = _ref.fields,
        onChange = _ref.onChange,
        deleteField = _ref.deleteField,
        clearFields = _ref.clearFields,
        setField = _ref.setField,
        setFields = _ref.setFields,
        mergeFields = _ref.mergeFields;
    return _react["default"].createElement(_react["default"].Fragment, null, _react["default"].createElement("input", (0, _extends2["default"])({
      name: "text",
      value: field('text')
    }, {
      onChange: onChange
    })), _react["default"].createElement("input", (0, _extends2["default"])({
      name: "checkboxwithvalue",
      value: "hey",
      type: "checkbox",
      checked: field('checkboxwithvalue')
    }, {
      onChange: onChange
    })), _react["default"].createElement("input", (0, _extends2["default"])({
      name: "checkboxwithoutvalue",
      type: "checkbox",
      checked: field('checkboxwithoutvalue')
    }, {
      onChange: onChange
    })), _react["default"].createElement("input", (0, _extends2["default"])({
      name: "checkboxemptystring",
      type: "checkbox",
      value: "",
      checked: field('checkboxemptystring', true)
    }, {
      onChange: onChange
    })), _react["default"].createElement("select", (0, _extends2["default"])({
      name: "select",
      value: field('select')
    }, {
      onChange: onChange
    }), _react["default"].createElement("option", {
      value: ""
    }, "Default"), _react["default"].createElement("option", {
      value: "1"
    }, "1"), _react["default"].createElement("option", {
      value: "2"
    }, "2")), _react["default"].createElement("button", {
      type: "button",
      onClick: function onClick() {
        return console.log(fields);
      }
    }, "Log fields"), _react["default"].createElement("button", {
      type: "button",
      onClick: function onClick() {
        return deleteField('text');
      }
    }, "Delete text field"), _react["default"].createElement("button", {
      type: "button",
      onClick: function onClick() {
        return clearFields();
      }
    }, "Clear fields"), _react["default"].createElement("button", {
      type: "button",
      onClick: function onClick() {
        return setField('text', 'Banana');
      }
    }, "Set text"), _react["default"].createElement("button", {
      type: "button",
      onClick: function onClick() {
        return setFields({
          text: 'Banana',
          checkboxwithvalue: 'hey',
          checkboxwithoutvalue: 'on',
          checkboxemptystring: '',
          select: '2'
        });
      }
    }, "Set all fields"), _react["default"].createElement("button", {
      type: "button",
      onClick: function onClick() {
        return mergeFields({
          text: 'Avocado',
          checkboxwithoutvalue: undefined,
          select: '1'
        });
      }
    }, "Merge fields"));
  };

  var InputWithFields = (0, _withFields["default"])()(Input);
  return _react["default"].createElement(InputWithFields, null);
}).add('HOC/withFilePickers', function () {
  var Input = function Input(_ref2) {
    var filePickers = _ref2.filePickers,
        filePickerHandler = _ref2.filePickerHandler;
    return _react["default"].createElement(_react["default"].Fragment, null, _react["default"].createElement("input", {
      type: "file",
      name: "foo",
      onChange: filePickerHandler
    }), _react["default"].createElement("input", {
      type: "file",
      name: "bar",
      onChange: filePickerHandler
    }), _react["default"].createElement("button", {
      type: "button",
      onClick: function onClick() {
        return console.log(filePickers);
      }
    }, "Log fields"));
  };

  var InputWithFilePickers = (0, _withFilePickers["default"])()(Input);
  return _react["default"].createElement(InputWithFilePickers, null);
}).add('Elements', function () {
  return _react["default"].createElement("div", null, _react["default"].createElement(_A["default"], {
    href: "#",
    target: "_blank"
  }, "a"), _react["default"].createElement("br", null), _react["default"].createElement(_B["default"], null, "b"), _react["default"].createElement(_Div["default"], null, "div"), _react["default"].createElement(_H["default"], null, "h1"), _react["default"].createElement(_H2["default"], null, "h2"), _react["default"].createElement(_H3["default"], null, "h3"), _react["default"].createElement(_H4["default"], null, "h4"), _react["default"].createElement(_H5["default"], null, "h5"), _react["default"].createElement(_H6["default"], null, "h6"), _react["default"].createElement(_I["default"], null, "i"), _react["default"].createElement(_Ul["default"], null, _react["default"].createElement(_Li["default"], null, "i")), _react["default"].createElement(_El["default"], {
    tag: "blockquote"
  }, "Blockquote"), _react["default"].createElement(_El["default"], {
    component: _Button["default"],
    color: "primary",
    variant: "contained"
  }, "Button"), _react["default"].createElement(_P["default"], null, "p"), _react["default"].createElement(_Span["default"], null, "span"), _react["default"].createElement("br", null));
}).add('Styled Elements', function () {
  return _react["default"].createElement("div", null, _react["default"].createElement(_Div["default"], {
    light: true
  }, "light"), _react["default"].createElement(_Div["default"], {
    fontWeightNormal: true
  }, "fontWeightNormal"), _react["default"].createElement(_Div["default"], {
    bold: true
  }, "bold"), _react["default"].createElement(_Div["default"], {
    bolder: true
  }, "bolder"), _react["default"].createElement(_Div["default"], {
    italic: true
  }, "italic"), _react["default"].createElement(_Div["default"], {
    noDecoration: true
  }, "noDecoration"), _react["default"].createElement(_Div["default"], {
    underline: true
  }, "underline"), _react["default"].createElement(_Div["default"], {
    m3: true
  }, "m3"));
});
(0, _react2.storiesOf)('Full Page', module).addDecorator(_addonKnobs.withKnobs).addParameters({
  backgrounds: [{
    name: 'White',
    value: '#fff',
    "default": true
  }, {
    name: 'Gray',
    value: '#f2f2f2'
  }]
}).add('StoryHost', function () {
  return _react["default"].createElement(_StoryHost["default"], null, "StoryHost");
}).add('StoryHost Border', function () {
  return _react["default"].createElement(_StoryHost["default"], {
    border: true
  }, "StoryHost");
}).add('StoryHost Border/Dimensions', function () {
  var border = (0, _addonKnobs["boolean"])('Border', true);
  var dimensions = (0, _addonKnobs["boolean"])('Dimensions', true);
  var width = (0, _addonKnobs.number)('Width', 100);
  var height = (0, _addonKnobs.number)('height', 30);
  return _react["default"].createElement(_StoryHost["default"], {
    border: border,
    dimensions: dimensions
  }, _react["default"].createElement("div", {
    style: {
      width: width,
      height: height
    }
  }, "StoryHost"));
}).add('StoryHost Width', function () {
  return _react["default"].createElement(_StoryHost["default"], {
    border: true,
    width: 200
  }, "StoryHost");
}).add('Page Normal', function () {
  return _react["default"].createElement(_Page["default"], null, "Hello");
}).add('Page Middle', function () {
  return _react["default"].createElement(_Page["default"], {
    middle: true
  }, "Hello middle");
}).add('Hide on Scroll', function () {
  return _react["default"].createElement(_hideOnScrollView["default"], null);
}).add('Notifications', function () {
  return _react["default"].createElement(_notificationsView["default"], null);
}).add('CSS/middle', function () {
  var MiddleJSX = function MiddleJSX(_ref3) {
    var classes = _ref3.classes;
    return _react["default"].createElement("div", {
      className: classes.middle
    }, "Middle");
  };

  MiddleJSX.propTypes = {
    classes: _propTypes["default"].object.isRequired
  };
  var Middle = (0, _withStyles["default"])({
    middle: _util.middle
  })(MiddleJSX);
  return _react["default"].createElement(Middle, null);
}).add('CSS/clearfix', function () {
  var ContainerJSX = function ContainerJSX(_ref4) {
    var classes = _ref4.classes;
    return _react["default"].createElement("div", {
      style: {
        border: '1px solid blue'
      },
      className: classes.clearfix
    }, _react["default"].createElement("div", {
      style: {
        "float": 'left'
      }
    }, "Float"));
  };

  ContainerJSX.propTypes = {
    classes: _propTypes["default"].object.isRequired
  };
  var Container = (0, _withStyles["default"])({
    clearfix: _util.clearfix
  })(ContainerJSX);
  return _react["default"].createElement(Container, null);
});