"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _Object$defineProperty = require("@babel/runtime-corejs2/core-js/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports["default"] = void 0;

var _map = _interopRequireDefault(require("@babel/runtime-corejs2/core-js/map"));

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/objectSpread"));

var _react = _interopRequireDefault(require("react"));

var _createGenerateClassName = _interopRequireDefault(require("@material-ui/core/styles/createGenerateClassName"));

var _MuiThemeProvider = _interopRequireDefault(require("@material-ui/core/styles/MuiThemeProvider"));

var _jss = _interopRequireDefault(require("jss"));

var _jssPresetDefault = _interopRequireDefault(require("jss-preset-default"));

var _JssProvider = _interopRequireDefault(require("react-jss/lib/JssProvider"));

var _reactRedux = require("react-redux");

var _reactRouterDom = require("react-router-dom");

var _nest = _interopRequireDefault(require("recompose/nest"));

var _withProps = _interopRequireDefault(require("recompose/withProps"));

var _store = _interopRequireDefault(require("../redux/store"));

var _spread = _interopRequireDefault(require("../util/spread"));

var _spreadIf = _interopRequireDefault(require("../util/spreadIf"));

var _GlobalStylesProvider = _interopRequireDefault(require("./GlobalStylesProvider"));

var _propTypes = _interopRequireDefault(require("prop-types"));

// flow-disable-next-line
// flow-disable-next-line
var defaultJss = _jss["default"].setup((0, _jssPresetDefault["default"])());

var Providers = function Providers(_ref) {
  var children = _ref.children,
      App = _ref.App,
      theme = _ref.theme,
      globalStyles = _ref.globalStyles,
      _ref$store = _ref.store,
      store = _ref$store === void 0 ? (0, _store["default"])() : _ref$store,
      isSsr = _ref.isSsr,
      url = _ref.url,
      _ref$jss = _ref.jss,
      jss = _ref$jss === void 0 ? defaultJss : _ref$jss,
      routerContext = _ref.routerContext,
      sheetsRegistry = _ref.sheetsRegistry;
  var NestedProviders = (0, _nest["default"])(isSsr ? (0, _withProps["default"])((0, _spread["default"])({
    location: url,
    context: routerContext
  }))(_reactRouterDom.StaticRouter) : _reactRouterDom.BrowserRouter, (0, _withProps["default"])((0, _objectSpread2["default"])({
    jss: jss,
    generateClassName: (0, _createGenerateClassName["default"])()
  }, (0, _spread["default"])({
    registry: sheetsRegistry
  })))(_JssProvider["default"]), (0, _withProps["default"])({
    store: store
  })(_reactRedux.Provider), (0, _withProps["default"])((0, _objectSpread2["default"])({
    theme: theme
  }, (0, _spreadIf["default"])(isSsr, {
    sheetsManager: new _map["default"]()
  })))(_MuiThemeProvider["default"]), (0, _withProps["default"])({
    globalStyles: globalStyles
  })(_GlobalStylesProvider["default"]));
  return _react["default"].createElement(NestedProviders, null, App ? _react["default"].createElement(App, null) : children);
};

Providers.propTypes = {
  children: _propTypes["default"].any,
  App: _propTypes["default"].func,
  store: _propTypes["default"].object,
  theme: _propTypes["default"].object.isRequired,
  globalStyles: _propTypes["default"].any,
  jss: _propTypes["default"].object,
  isSsr: _propTypes["default"].bool,
  url: _propTypes["default"].string,
  routerContext: _propTypes["default"].object,
  sheetsRegistry: _propTypes["default"].object
};
var _default = Providers;
exports["default"] = _default;