"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _Object$defineProperty = require("@babel/runtime-corejs2/core-js/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports["default"] = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/objectSpread"));

var _react = _interopRequireDefault(require("react"));

var _withStyles = _interopRequireDefault(require("@material-ui/core/styles/withStyles"));

var _compose = _interopRequireDefault(require("recompose/compose"));

var _withState = _interopRequireDefault(require("recompose/withState"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var Dimensions = (0, _compose["default"])((0, _withState["default"])('divHeight', 'setDivHeight', 0), (0, _withState["default"])('divWidth', 'setDivWidth', 0))(function (_ref) {
  var classes = _ref.classes,
      children = _ref.children,
      setDivWidth = _ref.setDivWidth,
      setDivHeight = _ref.setDivHeight,
      divWidth = _ref.divWidth,
      divHeight = _ref.divHeight;
  return _react["default"].createElement("div", {
    ref: function ref(el) {
      if (el) {
        el.clientWidth !== divWidth && setDivWidth(el.clientWidth);
        el.clientHeight !== divHeight && setDivHeight(el.clientHeight);
      }
    },
    style: {
      position: 'relative'
    }
  }, _react["default"].createElement("div", {
    className: classes.dimensions
  }, divWidth, " x ", divHeight), children);
});

var StoryHostJSX = function StoryHostJSX(_ref2) {
  var classes = _ref2.classes,
      border = _ref2.border,
      width = _ref2.width,
      dimensions = _ref2.dimensions,
      children = _ref2.children,
      white = _ref2.white;
  return _react["default"].createElement("div", {
    className: classes.container,
    style: (0, _objectSpread2["default"])({}, white ? {
      background: 'white'
    } : {})
  }, (border || width) && _react["default"].createElement("div", {
    style: (0, _objectSpread2["default"])({}, border ? {
      border: '1px dashed #bbb'
    } : {}, width ? {
      width: width
    } : {})
  }, dimensions ? _react["default"].createElement(Dimensions, {
    classes: classes
  }, children) : children) || (dimensions ? _react["default"].createElement(Dimensions, {
    classes: classes
  }, children) : children));
};

StoryHostJSX.propTypes = {
  classes: _propTypes["default"].object.isRequired,
  border: _propTypes["default"].bool,
  width: _propTypes["default"].oneOfType([_propTypes["default"].number, _propTypes["default"].string]),
  dimensions: _propTypes["default"].bool,
  white: _propTypes["default"].bool,
  children: function children(props, propName, componentName) {
    if (!Object.prototype.hasOwnProperty.call(props, propName)) {
      throw new Error("Prop `".concat(propName, "` has type 'any' or 'mixed', but was not provided to `").concat(componentName, "`. Pass undefined or any other value."));
    }
  }
};
var StoryHost = (0, _withStyles["default"])({
  container: {
    display: 'flex',
    height: '100%',
    justifyContent: 'center',
    alignItems: 'center'
  },
  dimensions: {
    position: 'absolute',
    left: -1,
    top: -42,
    background: 'white',
    boxShadow: '0px 1px 5px 0px rgba(0, 0, 0, 0.2), 0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 3px 1px -2px rgba(0, 0, 0, 0.12)',
    borderRadius: 4,
    padding: 10
  }
})(StoryHostJSX);
var _default = StoryHost;
exports["default"] = _default;