"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _compose = _interopRequireDefault(require("recompose/compose"));

var _envReductions = require("./env-reductions");

test('disableIsServerRenderReduction', function () {
  var envState = {
    foo: 'foo',
    isServerRender: true
  };
  expect((0, _envReductions.disableIsServerRenderReduction)()(envState)).toEqual({
    foo: 'foo',
    isServerRender: false
  });
});
test('onlineReduction', function () {
  var envState = {
    foo: 'foo',
    isOnline: false
  };
  expect((0, _envReductions.onlineReduction)()(envState)).toEqual({
    foo: 'foo',
    isOnline: true
  });
  expect((0, _compose["default"])((0, _envReductions.onlineReduction)())(envState)).toEqual({
    foo: 'foo',
    isOnline: true
  });
});
test('offlineReduction', function () {
  var envState = {
    foo: 'foo',
    isOnline: true
  };
  expect((0, _envReductions.offlineReduction)()(envState)).toEqual({
    foo: 'foo',
    isOnline: false
  });
  expect((0, _compose["default"])((0, _envReductions.offlineReduction)())(envState)).toEqual({
    foo: 'foo',
    isOnline: false
  });
});