"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _actions = require("./actions");

var _pageDataReducer = _interopRequireDefault(require("./page-data-reducer"));

test('pageDataReducer', function () {
  var s;
  s = (0, _pageDataReducer["default"])(s, (0, _actions.fetchPageSuccess)({
    data: {
      a: 'a'
    }
  }));
  expect(s).toEqual({
    a: 'a'
  });
  s = (0, _pageDataReducer["default"])(s, (0, _actions.navigation)());
  expect(s).toEqual({});
  s = (0, _pageDataReducer["default"])(s, (0, _actions.asyncSuccess)({
    data: {
      a: 'a'
    }
  }));
  expect(s).toEqual({
    a: 'a'
  });
  s = (0, _pageDataReducer["default"])(s, (0, _actions.fetchPageRequest)());
  expect(s).toEqual({});
  s = (0, _pageDataReducer["default"])(s, (0, _actions.invalidateFields)({
    a: 'a'
  }));
  expect(s).toEqual({
    invalidFields: {
      a: 'a'
    }
  });
  s = (0, _pageDataReducer["default"])(s, (0, _actions.clearInvalidFields)());
  expect(s).toEqual({});
});