"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _actions = require("./actions");

var _uiReducer = _interopRequireDefault(require("./ui-reducer"));

test('uiReducer', function () {
  var state;
  expect((0, _uiReducer["default"])(state)).toEqual({
    notifications: []
  });
  state = (0, _uiReducer["default"])(state, (0, _actions.notify)('a'));
  expect(state).toEqual({
    notifications: ['a']
  });
  state = (0, _uiReducer["default"])(state, (0, _actions.notifyMultiple)(['b', 'c']));
  expect(state).toEqual({
    notifications: ['a', 'b', 'c']
  });
  state = (0, _uiReducer["default"])(state, (0, _actions.dismissFirstNotification)());
  expect(state).toEqual({
    notifications: ['b', 'c']
  });
  state = (0, _uiReducer["default"])(state, (0, _actions.setUi)({
    popup: true
  }));
  expect(state).toEqual({
    notifications: ['b', 'c'],
    popup: true
  });
  state = (0, _uiReducer["default"])(state, (0, _actions.deleteUi)('popup'));
  expect(state).toEqual({
    notifications: ['b', 'c']
  });
});