"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _Object$defineProperty = require("@babel/runtime-corejs2/core-js/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.deleteUiReduction = exports.setUiReduction = exports.removeFirstNotificationReduction = exports.addMultipleNotificationsReduction = exports.addOneNotificationReduction = void 0;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/toConsumableArray"));

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/objectSpread"));

var addOneNotificationReduction = function addOneNotificationReduction(payload) {
  return function (state) {
    return (0, _objectSpread2["default"])({}, state, {
      notifications: [].concat((0, _toConsumableArray2["default"])(state.notifications), [payload])
    });
  };
};

exports.addOneNotificationReduction = addOneNotificationReduction;

var addMultipleNotificationsReduction = function addMultipleNotificationsReduction(payload) {
  return function (state) {
    return (0, _objectSpread2["default"])({}, state, {
      notifications: [].concat((0, _toConsumableArray2["default"])(state.notifications), (0, _toConsumableArray2["default"])(payload))
    });
  };
};

exports.addMultipleNotificationsReduction = addMultipleNotificationsReduction;

var removeFirstNotificationReduction = function removeFirstNotificationReduction() {
  return function (state) {
    return (0, _objectSpread2["default"])({}, state, {
      notifications: state.notifications.splice(1)
    });
  };
};

exports.removeFirstNotificationReduction = removeFirstNotificationReduction;

var setUiReduction = function setUiReduction(payload) {
  return function (state) {
    return (0, _objectSpread2["default"])({}, state, payload);
  };
};

exports.setUiReduction = setUiReduction;

var deleteUiReduction = function deleteUiReduction(key) {
  return function (state) {
    var newState = (0, _objectSpread2["default"])({}, state);
    delete newState[key];
    return newState;
  };
};

exports.deleteUiReduction = deleteUiReduction;