"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _Object$defineProperty = require("@babel/runtime-corejs2/core-js/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports["default"] = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime-corejs2/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/asyncToGenerator"));

var _env = require("../env");

var _shared = require("../shared");

var getSsrData =
/*#__PURE__*/
function () {
  var _ref2 = (0, _asyncToGenerator2["default"])(
  /*#__PURE__*/
  _regenerator["default"].mark(function _callee(_ref) {
    var user, allRoutes, url, cookie, host, method, body, data, _findMatch, match, route, urlBase, _route$mainQuery, query, variables, mapRespData, _ref3, _route$mainMutation, _query, _variables, _mapRespData, successRedirect;

    return _regenerator["default"].wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            user = _ref.user, allRoutes = _ref.allRoutes, url = _ref.url, cookie = _ref.cookie, host = _ref.host, method = _ref.method, body = _ref.body;

            if (_env.NO_SSR) {
              _context.next = 30;
              break;
            }

            _findMatch = (0, _shared.findMatch)(allRoutes, url, !!user), match = _findMatch.match, route = _findMatch.route;

            if (!match) {
              _context.next = 29;
              break;
            }

            urlBase = "http".concat(_env.IS_LOCAL_ENV_TYPE ? '' : 's', "://").concat(host);

            if (!(method === 'GET' && route.mainQuery)) {
              _context.next = 10;
              break;
            }

            _route$mainQuery = route.mainQuery, query = _route$mainQuery.query, variables = _route$mainQuery.variables, mapRespData = _route$mainQuery.mapRespData;
            _context.next = 9;
            return (0, _shared.graphqlCall)({
              urlBase: urlBase,
              query: query,
              variables: variables instanceof Function ? variables(match.params) : variables,
              mapRespData: mapRespData,
              cookie: cookie
            });

          case 9:
            data = _context.sent;

          case 10:
            if (!(method === 'POST' && route.mainMutation)) {
              _context.next = 27;
              break;
            }

            _route$mainMutation = route.mainMutation, _query = _route$mainMutation.query, _variables = _route$mainMutation.variables, _mapRespData = _route$mainMutation.mapRespData, successRedirect = _route$mainMutation.successRedirect;
            _context.next = 14;
            return (0, _shared.graphqlCall)({
              urlBase: urlBase,
              query: _query,
              variables: _variables instanceof Function ? _variables(match.params, body) : _variables,
              mapRespData: _mapRespData,
              cookie: cookie
            });

          case 14:
            _context.t1 = _ref3 = _context.sent;
            _context.t0 = _context.t1 !== null;

            if (!_context.t0) {
              _context.next = 18;
              break;
            }

            _context.t0 = _ref3 !== void 0;

          case 18:
            if (!_context.t0) {
              _context.next = 22;
              break;
            }

            _context.t2 = _ref3;
            _context.next = 23;
            break;

          case 22:
            _context.t2 = {};

          case 23:
            data = _context.t2;
            data.previousFields = body;

            if (!(!data.errors && !data.invalidFields && successRedirect)) {
              _context.next = 27;
              break;
            }

            return _context.abrupt("return", {
              redirectTo: successRedirect instanceof Function ? successRedirect(data, body, match.params) : successRedirect
            });

          case 27:
            _context.next = 30;
            break;

          case 29:
            return _context.abrupt("return", {
              is404: true
            });

          case 30:
            return _context.abrupt("return", {
              data: data
            });

          case 31:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));

  return function getSsrData(_x) {
    return _ref2.apply(this, arguments);
  };
}();

var _default = getSsrData;
exports["default"] = _default;