"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _Object$defineProperty = require("@babel/runtime-corejs2/core-js/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _server = require("react-dom/server");

var _reactHelmet = _interopRequireDefault(require("react-helmet"));

var _jss = require("react-jss/lib/jss");

var _Providers = _interopRequireDefault(require("../components/Providers"));

var _env = require("../env");

var _htmlBase = _interopRequireDefault(require("./htmlBase"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var renderPage = function renderPage(_ref) {
  var _ref$Providers = _ref.Providers,
      Providers = _ref$Providers === void 0 ? _Providers["default"] : _ref$Providers,
      App = _ref.App,
      theme = _ref.theme,
      store = _ref.store,
      url = _ref.url,
      globalStyles = _ref.globalStyles,
      swPath = _ref.swPath;
  var appHtml;
  var css;
  var helmet;
  var routerContext = {};

  if (!_env.NO_SSR) {
    var sheetsRegistry = new _jss.SheetsRegistry();
    appHtml = (0, _server.renderToString)(_react["default"].createElement(Providers, (0, _extends2["default"])({
      theme: theme,
      store: store,
      url: url,
      globalStyles: globalStyles,
      routerContext: routerContext,
      sheetsRegistry: sheetsRegistry
    }, {
      isSsr: true
    }), _react["default"].createElement(App, null)));
    css = sheetsRegistry.toString();
    helmet = _reactHelmet["default"].renderStatic();
  }

  return {
    routerContext: routerContext,
    html: (0, _htmlBase["default"])({
      appHtml: appHtml,
      css: css,
      helmet: helmet,
      swPath: swPath,
      windowVars: [['__PRELOADED_STATE__', store.getState()]]
    })
  };
};

renderPage.propTypes = {
  Providers: _propTypes["default"].func,
  App: _propTypes["default"].func.isRequired,
  theme: _propTypes["default"].object.isRequired,
  store: _propTypes["default"].object.isRequired,
  url: _propTypes["default"].string.isRequired,
  globalStyles: _propTypes["default"].any,
  swPath: _propTypes["default"].string
};
var _default = renderPage;
exports["default"] = _default;