"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _toggle = _interopRequireDefault(require("./toggle"));

var strictModeErrorMessage = 'The value of toggle() does not match any option (strict mode)';
var invalidValueErrorMessage = 'Invalid value passed to toggle()';
var notEnoughParamsErrorMessage = "You must pass at least 3 values to toggle. Example: toggle(color, 'red', 'blue')";
test('toggle', function () {
  expect(function () {
    return (0, _toggle["default"])();
  }).toThrow(notEnoughParamsErrorMessage);
  expect(function () {
    return (0, _toggle["default"])(undefined, 1, 2, true);
  }).toThrow(strictModeErrorMessage);
  expect(function () {
    return (0, _toggle["default"])(null, 1, 2, true);
  }).toThrow(strictModeErrorMessage);
  expect(function () {
    return (0, _toggle["default"])(3, 1, 2, true);
  }).toThrow(strictModeErrorMessage); // Normal use cases

  expect((0, _toggle["default"])(1, 1, 2)).toBe(2);
  expect((0, _toggle["default"])(2, 1, 2)).toBe(1);
  expect((0, _toggle["default"])(undefined, 1, 2)).toBe(1);
  expect((0, _toggle["default"])(null, 1, 2)).toBe(1);
  expect(function () {
    return (0, _toggle["default"])(3, 1, 2);
  }).toThrow(invalidValueErrorMessage);
});